MailboxesDNS

Add DNS records

POST
/v1/mailbox-domains/{id}/dns/records

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.

Path Parameters

id*string

Request Body

application/json
  1. body
records*array<>
Items1 <= items <= 50

Response Body

Success

application/json
  1. response

Success

data*array<>
curl -X POST "https://example.com/v1/mailbox-domains/mdm_01K6XJ4Q8ZT3M9R5V2B7WDHNCA/dns/records" \  -H "Content-Type: application/json" \  -d '{    "records": [      {        "host": "www",        "type": "A",        "value": "string"      }    ]  }'
{  "data": [    {      "id": "6512bd43d9caa6e02c990b0a",      "host": "www",      "type": "CNAME",      "value": "northwind.netlify.app",      "ttl": 0,      "priority": 0,      "protected": true    }  ]}